import javax.ws.rs.core.MediaType;

import com.sun.jersey.api.client.Client;
import com.sun.jersey.api.client.WebResource;
import com.sun.jersey.api.client.config.ClientConfig;
import com.sun.jersey.api.client.config.DefaultClientConfig;

//Datei: Servicenutzer.java
public class Servicenutzer {

  public static void main(String[] args) {

    String restUrl = "http://localhost:8080/rest/Serviceanbieter";

    ClientConfig config = new DefaultClientConfig();
    Client client = Client.create(config);
    WebResource baseService = client.resource(restUrl);

    //MethodeA aufrufen
    WebResource serviceA = baseService.path("MethodeA")
        .path("Nachricht an Serviceanbieter");
    serviceA.accept(MediaType.TEXT_PLAIN).get(String.class);

    //MethodeB aufrufen und Ergebnis zeigen
    WebResource serviceB = baseService.path("MethodeB");
    String result = serviceB.accept(MediaType.TEXT_PLAIN)
        .get(String.class);
    System.out.println("Ergebnis: " + result);
  }
}
