// Datei: Alarmanlage.java
// Kontext, ueber den die Alarmanlage gesteuert wird 
public class Alarmanlage 
{
   IZustandAlarmanlage aktiv = new AlarmanlageAktiv();
   
   IZustandAlarmanlage inaktiv = new AlarmanlageInaktiv();
   IZustandAlarmanlage zustand = null;         
   
   public Alarmanlage()
   {       
      zustand = inaktiv; // Startzustand      
   }
   
   public void anschalten()
   {
      aendereZustand(aktiv);    
   }

   public void ausschalten()
   {
      aendereZustand(inaktiv);    
   }   
   
   public void personErkannt()
   {
      zustand.personErkannt();
   }

   private void aendereZustand (IZustandAlarmanlage neuerZustand)
   {
      zustand = neuerZustand;
   }
}
