// Datei: Client.java
class Client {

    public static void main(String[] args) {  // Auto mit Klimaanlage
        IAuto auto = new Klimaanlage(new Limousine());
        auto.zeigeDetails();
        System.out.println("\nfuer " + auto.gibKosten()
                + " Euro\n");

        // Dynamische Erweiterung der Limousine mit Ausstattungen
        auto = new Navigationssystem(new Seitenairbags(auto));
        auto.zeigeDetails();
        System.out.println("\nfuer " + auto.gibKosten()
                + " Euro\n");

        // Cabrio Variante
        auto = new Navigationssystem(new Seitenairbags(new Cabrio()));
        auto.zeigeDetails();


        System.out.println("\nfuer " + auto.gibKosten()
                + " Euro\n");
    }
}
