// Datei: LagerFassade.java
public class LagerFassade 
{    
   private FahrwerkLager fw;
   private GetriebeLager g;
   private MotorLager m;
   
   LagerFassade()
   {
      fw = new FahrwerkLager();
      g = new GetriebeLager();
      m = new MotorLager();
   }
   
   public void alleLagerFuellen (int anzahl)
   {
      System.out.println ("Bestaende aller Lager werden " +
                          "gefuellt.");
      fw.lagerFuellen (anzahl);
      g.lagerFuellen (anzahl);
      m.lagerFuellen (anzahl);
      System.out.println();
   }
   
   public void produktionsteileEntnehmen (int anzahl)
   {
      System.out.println ("Alle fuer die Produktion " +
                          "notwendigen Teile werden entnommen.");
      fw.fahrwerkEntnehmen (anzahl);
      g.getriebeEntnehmen (anzahl);
      m.motorEntnehmen (anzahl);
      System.out.println();
   }
}
