// Datei: ServerStartup.java
package autovermietung.server;

// Hauptprogramm, das den Web Service im Netz ansprechbar macht

import javax.xml.ws.Endpoint;

public class ServerStartup {
   public static void main(String[] args) {
      String url = "http://localhost:8080/AutovermietungServer";
      IAutovermietung server = new ServerImpl();
      Endpoint.publish(url,server);
      System.out.println("Der Web Service ist nun im Netzwerk unter "
          + "der Adresse " + url + " aufrufbar.");
      System.out.println("Serviceanbieter lauscht jetzt...");
   }
}
