
import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;

//Datei: Serviceanbieter.java
@Path( "Serviceanbieter" )
public class Serviceanbieter {
  @GET
  @Path("MethodeA/{Nachricht}" )
  @Consumes(MediaType.TEXT_PLAIN)
  public Response MethodeA(@PathParam("Nachricht") String nachricht) {
    System.out.println("Serviceanbieter: Methode A wurde aufgerufen");
    System.out.println("Parameter: " + nachricht);
    return Response.ok().build();
  }

  @GET
  @Path("MethodeB")
  @Produces(MediaType.TEXT_PLAIN)
  public String MethodeB() {
    String resultStr = "Nachricht an Servicenutzer";
    System.out.println("Serviceanbieter: Methode B wurde aufgerufen");
    return resultStr;
  }
}